///--------------------------------------------------------------------------------------
// Tiling Demo.h
//
// By: Vern Jensen
///--------------------------------------------------------------------------------------


#ifndef __WINDOWS__
#include <Windows.h>
#endif

#ifndef __SPRITEWORLD__
#include "SpriteWorld.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif


void	main( void );
void	CreateSpriteWorld( void );

void	SetUpTiling( void );
void	CreateSprites( void );

void	SetUpAnimation( void );
void	RunAnimation( void );
void	ShutDown( void );


SW_FUNC void	MouseSpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void	DiamondSpriteMoveProc(SpritePtr ballSpriteP);

void 	DrawMyLevel (short Number);
short	RandomNumber(short inMax);


#ifdef __cplusplus
}
#endif
