///--------------------------------------------------------------------------------------
// Circular Demo.h
//
// By: Vern Jensen
///--------------------------------------------------------------------------------------


#ifndef __WINDOWS__
#include <Windows.h>
#endif


#ifdef __cplusplus
extern "C" {
#endif


void	main( void );
void	CreateSpriteWorld( void );
void	SetUpTiling( void )	;
void	CreateMainBallSprite( void );
void	CreateBallSprites( void );
void	CreateDiamondMeterSprite( void );
void	SetUpAnimation( void );
void	DoZoomOut( void );

void	RunAnimation( void );
void	ShutDown( void );

SW_FUNC void TileChangeProc(SpriteWorldPtr spriteWorldP);

SW_FUNC void KeySpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void DiamondMeterSpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void BallSpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void BallSpriteCollideProc(SpritePtr srcSpriteP, SpritePtr dstSpriteP, Rect *sectRect);
SW_FUNC void UpdateDiamondMeter( void );

SW_FUNC void	KeyScrollRectMoveProc(
	SpriteWorldPtr spriteWorldP,
	SpritePtr followSpriteP);

void	UpdateKeys( void );
void	UpdateScaledSprites( void );
void	ScaleSprites( short spriteOffset );


#ifdef __cplusplus
}
#endif
