///--------------------------------------------------------------------------------------
// Large Background.h
//
// By: Vern Jensen
///--------------------------------------------------------------------------------------


#ifndef __WINDOWS__
#include <Windows.h>
#endif


#ifdef __cplusplus
extern "C" {
#endif


void	main( void );
void	CreateSpriteWorld( void );
void	CreateBallSprites( void );
void	CreateMouseSprite( void );
void	ShieldMyCursor( void );
void	SetUpAnimation( void );

void	DrawBackground( void );
void	RunAnimation( void );
void	DispatchEvent( EventRecord* event);
void	HandleMouseDown( EventRecord *eventPtr );
void	ShutDown( void );

SW_FUNC void BallSpriteMoveProc(SpritePtr ballSpriteP);
SW_FUNC void MouseSpriteMoveProc(SpritePtr srcSpriteP);

SW_FUNC void DragMouseInWindow(EventRecord *eventPtr);

#ifdef __cplusplus
}
#endif
