///--------------------------------------------------------------------------------------
// SimpleBreakOut.h
//
// By: Tony Myles
//
// Copyright  1993 Tony Myles, All rights reserved worldwide.
///--------------------------------------------------------------------------------------


#ifndef __SIMPLEBREAKOUT__
#define __SIMPLEBREAKOUT__

#ifndef __WINDOWS__
#include <Windows.h>
#endif



#ifdef __cplusplus
extern "C" {
#endif

void ProcessDemoCommands(char key);	// [DB]

void PerformSimpleAnimation(void);
SW_FUNC void BallCollideProc(SpritePtr ballSpriteP, SpritePtr brickSpriteP, Rect* sectRect);
SW_FUNC void PaddleCollideProc(SpritePtr paddleSpriteP, SpritePtr ballSpriteP, Rect* sectRect);
SW_FUNC void SetUpPaddle(SpritePtr paddleSpriteP);
SW_FUNC void PaddleMoveProc(SpritePtr paddleSpriteP);
SW_FUNC void PaddleDemoMoveProc(SpritePtr paddleSpriteP);
SW_FUNC void BallMoveProc(SpritePtr srcSpriteP);
void SetUpGameSprites(void);
void SetUpDemoSprites(void);
pascal void GenericDrawButtonUpProc(ButtonSpritePtr srcButtonP, int ButtonStateChanged);
pascal void GenericDrawButtonMouseOverProc(ButtonSpritePtr srcButtonP, int ButtonStateChanged);
pascal void GenericDrawButtonDownProc(ButtonSpritePtr srcButtonP, int ButtonStateChanged);
pascal void GenericDrawButtonDisabledProc(ButtonSpritePtr srcButtonP, int ButtonStateChanged);
pascal void PlayProc(SpritePtr srcSpriteP);
pascal void QuitProc(SpritePtr srcSpriteP);
SW_FUNC void PauseProc(SpritePtr srcSpriteP);
SW_FUNC void GiveUpProc(SpritePtr srcSpriteP);
SW_FUNC void SetButtonCursor(int CursorIsInAButton);

#ifdef __cplusplus
}
#endif


#endif /* __APPLICATION__ */
