///--------------------------------------------------------------------------------------
// Scroll Demo.h
//
// By: Vern Jensen
///--------------------------------------------------------------------------------------


#ifndef __WINDOWS__
#include <Windows.h>
#endif


#ifdef __cplusplus
extern "C" {
#endif


#if NEW_HEADERS_AVAILABLE
#else
#define LMGetSysEvtMask() SysEvtMask
#endif


void	main( void );
void	CreateSpriteWorld( void );
void	CreateSprites( void );
void	SetUpAnimation( void );

void	RunAnimation( void );
void	ShutDown( void );

SW_FUNC void	TileChangeProc(
	SpriteWorldPtr spriteWorldP);

SW_FUNC void KeySpriteMoveProc(SpritePtr srcSpriteP);
SW_FUNC void BallSpriteMoveProc(SpritePtr ballSpriteP);

SW_FUNC void	FollowSpriteMoveProc(
	SpriteWorldPtr spriteWorldP,
	SpritePtr followSpriteP);

void	UpdateKeys( void );
SW_FUNC void MyPostDrawCallBack(SpriteWorldPtr spriteWorldP);


#ifdef __cplusplus
};
#endif
